<?php


namespace App\Photo\Model;

use App\Traits\Models;


class Details extends \Illuminate\Database\Eloquent\Model
{
    use Models;
    const fields = [
        "url","file_name","image_width","image_height","hit"
    ];

    public $table = "myp_xp_set_details";
    public $timestamps = false;
    public $fillable = [
        "url","file_name","image_width","image_height"
    ];

    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);
        $this->beforeValidationOnCreate();
    }

    public function beforeValidationOnCreate()
    {
        $this->hit = 0;
        $this->is_del = 0;
        $this->create_time = date("Y-m-d H:i:s",time());
    }





}