<?php
/**
 * Created by PhpStorm.
 * User: zhuangxin
 * Date: 16-9-9
 * Time: 下午4:15
 */

namespace App\Sets\Model;

use App\Traits\Models;
use \Illuminate\Database\Eloquent\Model;

class Promotion extends Model
{
    use Models;
    protected $table = "myp_sets_promotion";
    public $timestamps = false;
    protected $fillable = [
        "promotion_price","promotion_start_time","promotion_end_time",
        "per_user_count", "city_id","is_del"
    ];

    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);
        $this->beforeValidationOnCreate();
    }

    public function beforeValidationOnCreate()
    {
        $this->is_del = 0;
        $this->sort = 0;
        $this->p_cost = 0;
        $this->p_lock = 0;
        $this->p_total_sale = 0;
        $this->p_order_count = 0;
    }


}