<?php
/**
 * Created by PhpStorm.
 * User: zhuangxin
 * Date: 16-9-9
 * Time: 下午4:15
 */

namespace App\Sets\Model;

use App\Traits\Models;
use \Illuminate\Database\Eloquent\Model;

class Works extends Model
{
    use Models;
    protected $table = "myp_sets_works";
    protected $fillable = [
         "works_id","sets_id"
    ];
    public $timestamps = false;
    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);
        $this->beforeValidationOnCreate();
    }

    public function beforeValidationOnCreate()
    {
        $this->create_time = date("Y-m-d H:i:s",time());
        $this->is_del = 0;
        $this->is_hidden = 0;
    }

}