<?php

namespace App\Traits;

Trait Models
{
    static $error;

    public function getRelate($relations)
    {
        is_string($relations) && $relations = explode(",",$relations);
        if (!empty($relations)) {
            foreach ($relations as $relation) {
                if (method_exists($this,'relation_'.$relation)) {
                   $this->{'relation_'.$relation};
                }
            }
        }
        return ;
    }

    public static function count($where = [])
    {
        if(!empty($where)) {
             self::where($where[0],$where[1]);
        }
        return static::get(["id"])->count();
    }

    public static function add(array $data,$uid = null)
    {
        $items = [];
        foreach ($data as $item) {
            if ($uid != null) {
                $model = new static($item, $uid);
            } else {
                $model = new static($item);
            }
            array_push($items,$model);
        }
        return $items;
    }

    public static function throwError($msg)
    {
        if ($msg instanceof \Exception) {
            self::$error = [
                'file' => $msg->getFile(),
                'line' => $msg->getLine(),
                'msg' => $msg->getMessage(),
            ];
        } else {
            self::$error = $msg;
        }
    }

    public static function getError()
    {
        return json_encode(self::$error,JSON_UNESCAPED_SLASHES);
    }

}