<?php

namespace App\Works\Events;

use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Event;
use App\Works\Model\Works as WorksModel;

class WorksEditedEvent extends Event
{
    use SerializesModels;

    public $model;

    public function __construct(WorksModel $model)
    {
        $this->model = $model;
    }
}
