<?php
namespace App\Works\Listeners;
use App\Choice\Model\Choice as ChoiceModel;

class PropChoice
{
    public function handle($event)
    {
        /** @var \App\Works\Model\Works $model */
        $model = $event->model;
        if(!ChoiceModel::isChoiceItem($model->id,ChoiceModel::WORKS)) {
            return;
        }
        if ($model->exists === false || $model->is_del == 1 || $model->is_hidden == 1) {
            ChoiceModel::UpdateStatus($model->id,ChoiceModel::WORKS,1);
        } else {
            ChoiceModel::UpdateStatus($model->id,ChoiceModel::WORKS,0);
        }
    }
}