<?php

namespace App\Article\Events;

use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Event;
use App\Article\Model\Art as ArtModel;

class ArtEditedEvent extends Event
{
    use SerializesModels;

    public $model;

    public function __construct(ArtModel $model)
    {
        $this->model = $model;
    }
}
