<?php

namespace App\Article\Model;
use \Illuminate\Database\Eloquent\Model;

class Keywords extends Model
{
    protected $table = "myp_article_kw";
    const fields = [
        "id","kw_id","kw"
    ];

    public static function newKeywords($keywords,$uid)
    {
        if (!is_array($keywords)) {
           $keywords = [$keywords];
        }
        $keywords_list = [];
        foreach ($keywords as $keyword) {
            $keywords = new Keywords();
            $words = BaseKeyWords::getIdByWords($keyword,$uid, true);
            $keywords->kw = $words->kw_name;
            $keywords->kw_id = $words->id;
            array_push($keywords_list, $keywords);
        }
        return $keywords_list;
    }
}