<?php
/**
 * Created by PhpStorm.
 * User: zhuangxin
 * Date: 16-9-20
 * Time: 下午2:09
 */
namespace  App\Choice\Model;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
class Choice extends Model
{
     protected $table = "myp_choice";
     const SETS = "sets";
     const WORKS = "works";
     const TYPE = [
          self::SETS  => '套系',
          self::WORKS => '样片'
     ];

     public static function isChoiceItem($id,$type = self::SETS)
     {
          $sql = "SELECT a.id,b.id as sid FROM %s a JOIN %s b ON b.choice_id = a.id WHERE a.type = '%s' AND b.src_id=%d";
          $sql = sprintf($sql,"myp_choice","myp_choice_set",$type,$id);
          return count(DB::select($sql)) > 0;
     }

     public static function UpdateStatus($id,$type = self::SETS,$status = 0)
     {
          $sql = "UPDATE %s a,%s b SET b.is_del = %d WHERE a.type = '%s' AND b.src_id=%d";
          $sql = sprintf($sql,"myp_choice","myp_choice_set",$status,$type,$id);
          return DB::update($sql);
     }
}