<?php

namespace App\Libraries\Redis;

class mRedis {

    protected static $_instance;

    public static function getRedis()
    {
        if (!isset(self::$_instance)) {
            self::$_instance = new \Redis();
            self::$_instance->connect(config("database.redis.default.host"),config("database.redis.default.port"));
            self::$_instance->setOption(\Redis::OPT_PREFIX, config("database.redis.default.prefix"));
            self::$_instance->setOption(\Redis::OPT_SERIALIZER, \Redis::SERIALIZER_PHP);
        }
        return self::$_instance;
    }

}