<?php

namespace App\Sets\Events;

use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Event;
use App\Sets\Model\Sets as SetsModel;

class SetsEditedEvent extends Event
{
    use SerializesModels;

    public $model;

    public function __construct(SetsModel $model)
    {
        $this->model = $model;
    }
}
