<?php
namespace App\Sets\Listeners;
use App\Choice\Model\Choice as ChoiceModel;

class PropChoice
{
    public function handle($event)
    {
        /** @var \App\Sets\Model\Sets $model */
        $model = $event->model;
        if(!ChoiceModel::isChoiceItem($model->id,ChoiceModel::SETS)) {
            return;
        }
        if ($model->exists === false || $model->is_del == 1 || $model->is_shelf == 1) {
            ChoiceModel::UpdateStatus($model->id,ChoiceModel::SETS,1);
        } else {
            ChoiceModel::UpdateStatus($model->id,ChoiceModel::SETS,0);
        }
    }
}