<?php
/**
 * Created by PhpStorm.
 * User: zhuangxin
 * Date: 16-9-9
 * Time: 下午5:01
 */

namespace App\Sets\Model;
use App\Cates\Model\Cates;
use App\Traits\Models;
use \Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    use Models;
    protected $table = "myp_sets_category";
    const fields = [
        "id","category_id","category_name"
    ];
    public $timestamps = false;

    protected $fillable = [
        "category_id"
    ];

    public function __construct(array $attributes = [])
    {
        {
            parent::__construct($attributes);
            if (isset($attributes['category_id']) && $attributes['category_id'] > 0) {
                $id = $attributes['category_id'];
                try {
                    $this->category_name = Cates::where("id", $id)->first()->category_name;
                } catch (\Exception $e) {
                    $this->category_name = " ";
                }
            }
            $this->beforeValidationOnCreate();
        }
    }

    public function beforeValidationOnCreate()
    {
        $this->is_del = 0;
    }

}